/*  fx.h 2.9.0 92/07/06 - fork-and-execute a command
 *  Created - Damian Cugley <pdc@oxford.prg> Tue 16 Jan 1990
 *  Copyright (C) 1990 Damian Cugley
 */

void fx ARGS((char *command, int argc, char **argv));
/*
 *  Fork and execute the |command| with final argument(s) |argv|.
 *  Normally the 0th element of argv is the 1st argument to the 
 *  command being invoked.  argc is the number of slots used.
 *
 *  The |command| can include spaces (in the sense of |strword|),
 *  in which case the first word is the program to run and
 *  the other words are arguments inserted before |argv|.
 *  Members of |argv| can contain spaces, but always count as one argument
 *  each.
 *
 *  e.g., fx("gftopk -v", "fog12.100gf")
 *        fx("cmmf", "\mode=this; input that; input theother; bye.")
 *
 *  If it can't exec or child fails, it exit()s.
 */
